Ubuntu

Confusing french translation in bash

Reported by Arnaud Giersch on 2007-03-18
4
Affects Status Importance Assigned to Milestone
language-pack-fr-base (Ubuntu)
Undecided
Ubuntu French Translators

Bug Description

Binary package hint: language-pack-fr-base

Hello,

There is a bug in the french l10n of bash:

$ export LANG=fr_FR ; bash -c 'hash ls ; type ls'
ls est brouillé (/bin/ls)

$ export LANG=C ; bash -c 'hash ls ; type ls'
ls is hashed (/bin/ls)

IMHO, "haché" would be a better translation for "hashed" than "brouillé".

Regards,

    Arnaud Giersch

Changed in language-pack-fr-base:
assignee: nobody → ubuntu-l10n-fr

Thanks for your bug report.

Bash is translated in French by the traduc.org team, but the translation for the 3.2 release seems to be very incomplete. Anyway I'm going to have a look to this.

Le dimanche 29 avril 2007 à 14:39 +0000, Bruno Patri a écrit :
> Thanks for your bug report.
>
> Bash is translated in French by the traduc.org team, but the translation
> for the 3.2 release seems to be very incomplete. Anyway I'm going to
> have a look to this.
>
> --
> Confusing french translation in bash
> https://bugs.launchpad.net/bugs/93375
> You received this bug notification because you are a member of Ubuntu
> French Translators, which is a bug assignee.
>

In fact there is no current translator for bash, the last completed
version was Bash 2.0. If some experimented translators wanna work, there
is lot of stuff to do here :
http://www.iro.umontreal.ca/translation/registry.cgi?team=fr

Thanks

Bob.

--
jid : <email address hidden>

Sun Wukong (sunwukong) wrote :

Le 29.04.2007 17:03,, le perspicace Robert-André Mauchin s'exprimait en
ces termes:

> In fact there is no current translator for bash, the last completed
> version was Bash 2.0. If some experimented translators wanna work, there
> is lot of stuff to do here :
> http://www.iro.umontreal.ca/translation/registry.cgi?team=fr
Hi !
The whole console-tools package is concerned and very poorly translated
in French (in a discontinuated meaning). It includes most of the console
tools like bash, tar, ls, df, du, etc. (etc isn't a command :-D) and
their man pages and other documentation.

It's in Rosetta, but probably not, again, the right place to do the job
until the bug Bruno mentionned is squashed (the bug, not Bruno). Anyway,
that's such a big task that KBabel would be a more efficient tool,
according the job is split among volunteers.

Cheers
--
SunWukong
GPG Key available : 0xF4DD0AD2 on keyserver.ubuntu.com

Stéphane Raimbault (sra) wrote :

2007/4/29, Sun Wukong <email address hidden>:
> The whole console-tools package is concerned and very poorly translated
> in French (in a discontinuated meaning). It includes most of the console
> tools like bash, tar, ls, df, du, etc. (etc isn't a command :-D) and
> their man pages and other documentation.
>

I don't think it's a good idea to translate bash or other console
tools, these tools print very technical messages to experimented user
and have space constraints (80 columns). If some translators do this
work, I hope a meta-package will be available to remove all
translations for console tools :)

A huge work is necessary to translate _desktop applications and
documentation_ (OpenOffice, Firefox, GNOME and KDE), it would be
better to focus on this goal.

Stéphane

Sun Wukong (sunwukong) wrote :

Le 30.04.2007 17:11,, le perspicace Stéphane Raimbault s'exprimait en
ces termes:
> I don't think it's a good idea to translate bash or other console
> tools, these tools print very technical messages to experimented user
> and have space constraints (80 columns). If some translators do this
> work, I hope a meta-package will be available to remove all
> translations for console tools :)
>
> A huge work is necessary to translate _desktop applications and
> documentation_ (OpenOffice, Firefox, GNOME and KDE), it would be
> better to focus on this goal.
Sure, but this won't help newbie to go and touch the console ;-)

--
SunWukong
GPG Key available : 0xF4DD0AD2 on keyserver.ubuntu.com

Hello,

New and VERY BETTER and up to date version of bash.po has been available from www.traduc.org since march 13rd 2008.

compared to the version available in hardy (wich dates april 2007) :
- Only 6 new english strings
- One english change. and it's just a literal ^G replaced by a \a

So, this new po file seems perfectly compatible with hardy's current version.

/schplurtz

Thanks for your comment Christophe ;-)
I've uploaded this version before the Hardy release (april 17th), but there was many strings modified in Launchpad and I didn't have any time to revert those strings to upstream translation. I'll do it now. Thanks again to remind me this ;-)

2008-04-17: New improved upstream translation of bash uploaded.
2008-06-03: Revert Launchpad strings to upstream translation.

Changed in language-pack-fr-base:
status: New → Fix Committed
Changed in language-pack-fr-base (Ubuntu):
status: Fix Committed → Fix Released

LinkedIn
------------

Bug,

I'd like to add you to my professional network on LinkedIn.

- Stéphane Raimbault

Stéphane Raimbault
Open Source Project Leader and Software developer at Makina Corpus
Nantes Area, France

Confirm that you know Stéphane Raimbault
https://www.linkedin.com/e/z7a0rt-gl213101-3d/isd/2469856205/7BB7FB_a/

--
(c) 2011, LinkedIn Corporation

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers